Update an Elastic Endpoint rule exception list item
- Base URL
-
https://{kibana_url}
- PUT /api/endpoint_list/items
- PUT /s/{space_id}/api/endpoint_list/items
Refer to Spaces for more information.
Update an Elastic Endpoint exception list item, specified by the id or item_id field.
Request body
Exception list item's properties
-
commentsobject -
idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Responses
Successful response
-
commentsobjectrequired -
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
-
Values:
agnosticsingle
Invalid input data
Unsuccessful authentication
Insufficient privileges